POST api/scheduler/tasks/products/sellout-discount

Request Information

URI Parameters

NameDescriptionTypeAdditional information
token

Токен авторизации

string

Required

Body Parameters

AddProductToSellOutDiscountTaskRequest
NameDescriptionTypeAdditional information
task_id

globally unique identifier

None.

products

Collection of ProductDiscountSellOut

None.

Request Formats

application/json, text/json

Sample:
{
  "task_id": "98751c3a-262a-43f1-90ac-f561a85d6bda",
  "products": [
    {
      "product_id": 1,
      "type": "sample string 2",
      "Type": 0,
      "value": 0.0,
      "ValueJson": "sample string 4",
      "new_price": "1",
      "TotalPrice": 1.0,
      "old_price": "7",
      "OldPrice": 7.0
    },
    {
      "product_id": 1,
      "type": "sample string 2",
      "Type": 0,
      "value": 0.0,
      "ValueJson": "sample string 4",
      "new_price": "1",
      "TotalPrice": 1.0,
      "old_price": "7",
      "OldPrice": 7.0
    }
  ]
}

application/x-www-form-urlencoded

Sample:

Sample not available.

application/xml, text/xml

Sample:
<AddProductToSellOutDiscountTaskRequest>
  <TaskId>98751c3a-262a-43f1-90ac-f561a85d6bda</TaskId>
  <Products>
    <ProductDiscountSellOut>
      <ProductId>1</ProductId>
      <TypeJson>sample string 2</TypeJson>
      <Value>0</Value>
      <ValueJson>sample string 4</ValueJson>
      <TotalPriceJson>1</TotalPriceJson>
      <TotalPrice>1</TotalPrice>
      <OldPriceJson>7</OldPriceJson>
      <OldPrice>7</OldPrice>
    </ProductDiscountSellOut>
    <ProductDiscountSellOut>
      <ProductId>1</ProductId>
      <TypeJson>sample string 2</TypeJson>
      <Value>0</Value>
      <ValueJson>sample string 4</ValueJson>
      <TotalPriceJson>1</TotalPriceJson>
      <TotalPrice>1</TotalPrice>
      <OldPriceJson>7</OldPriceJson>
      <OldPrice>7</OldPrice>
    </ProductDiscountSellOut>
  </Products>
</AddProductToSellOutDiscountTaskRequest>

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.